<?php

if(!isSet($_GET["tabela"]) || !isSet($_GET["wiersze"]) ||
   !isSet($_GET["sort"])){
  die("error\nNieprawidłowe wywołanie skryptu.");
}

$tabela = $_GET["tabela"];
$wiersze = $_GET["wiersze"];
$sort = $_GET["sort"];

if($tabela == ""){
  die("error\nBrak nazwy tabeli.");
}

if(!is_numeric($wiersze)){
  die("error\nNieprawidłowa liczba wierszy.");
}

if (!$db_lnk = sqlite_open("./baza.sqlite", 0666, $msg)){
  die("error\nBrak połączenia z bazą danych.");
}

if($wiersze == 0){
  $limit = "";
}
else{
  $limit = "LIMIT $wiersze";
}

if($sort != ""){
  $sort = "ORDER BY $sort ";
}

$query = "SELECT * FROM '$tabela' " . $sort . $limit;

if(!$result = @sqlite_query($db_lnk, $query, $SQLITE_ASSOC)){
  die("Nie ma takiej tabeli w bazie.");
}

if(!$row = sqlite_fetch_array($result)){
  die("Tabela nie zawiera ona danych.");
}
?>

<table border="0">
<tr style="font-weight:bold;">

<?php
foreach($row as $key => $val){
  echo "<td style=\"cursor:pointer;\" onclick=\"startRequest(";
  echo "'$key');\">$key</td>";
}
?>

</tr>

<?php
do{
  echo "<tr>";
  foreach($row as $val){
    echo "<td>$val</td>";
  }
  echo "</tr>";
}
while($row = sqlite_fetch_array($result));
?>

</tr>
</table>